<?php
/*Add New Panel for general Setups */
$wp_customize->add_panel( 'bingle_general_panel', array (
	'priority' => '20',
	'capability' => 'edit_theme_options',
	'theme_supports' => '',
	'title' => __( 'General Panel', 'bingle' ),
	'description' => __( 'Setup general options of the site.', 'bingle' )
) );

//Add Default Sections to General Panel
$wp_customize->get_section('colors')->panel = 'bingle_general_panel';
$wp_customize->get_section('background_image')->panel = 'bingle_general_panel';
$wp_customize->get_section('static_front_page')->panel = 'bingle_general_panel';

// breadcrumb settings
$wp_customize->add_section('bingle_breadcrumbs_section', array(
    'panel' => 'bingle_general_panel',
    'title' => esc_html__('Breadcrumbs Settings', 'bingle')
));

$wp_customize->add_setting( 'bingle_breadcrumbs_enable', array(
  'default'             => 'off',
  'sanitize_callback'   => 'bingle_sanitize_onoff',
) );

$wp_customize->add_control( new Bingle_Customizer_Buttonset_Control( $wp_customize, 'bingle_breadcrumbs_enable', array(
  'label'         => esc_html__( 'Show Hide Breadcrumbs', 'bingle' ),
  'section'       => 'bingle_breadcrumbs_section',
  'priority'        => 1,
  'choices'         => array(
    'on'        => esc_html__( 'Yes', 'bingle' ),
    'off'       => esc_html__( 'No', 'bingle' ),
  )
) ) );

